package ij.gui;
import java.awt.*;
import java.awt.event.*;

/** A modal dialog box containing a multi-line
	message and "OK" and "Cancel" buttons. */
public class MessageWithCancelDialog extends Dialog implements ActionListener {
    private Button cancel, okay;
    private MultiLineLabel label;
    private boolean isOkay;

    public MessageWithCancelDialog(Frame parent, String title, String message) {
        super(parent, title, true);
	    label = new MultiLineLabel(message);
		label.setFont(new Font("Dialog", Font.PLAIN, 12));
        add("Center", label);
        cancel = new Button(" Cancel ");
		cancel.addActionListener(this);
        okay = new Button("  OK  ");
		okay.addActionListener(this);
        Panel p = new Panel();
        p.add(cancel);
        p.add(okay);
        add("South", p);
        pack();
		GUI.center(this);
        show();
    }
    
	public void actionPerformed(ActionEvent e) {
		if (e.getSource()==cancel)
			isOkay = false;
		else
			isOkay = true;
		setVisible(false);
		dispose();
	}
	
	/** Returns true if the user dismissed this dialog by pressing "OK". */
	public boolean isOkay() {
		return isOkay;
	}

}